DOMElement::setAttributeNode
DOMElement::setAttributeNS
DOMElement
PHP Manual

# DOMElement::setAttributeNodeNS

(No version information available, might be only in CVS)

DOMElement::setAttributeNodeNS — Adds new attribute node to element

### Description

DOMAttr DOMElement::setAttributeNodeNS ( DOMAttr `$attr` )

Adds new attribute node `attr` to element.

### Parameters

`name`

  The attribute node.

### Return Values

Returns the old node if the attribute has been replaced.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttributeNS
- DOMElement::getAttributeNodeNS
- DOMElement::removeAttributeNode

DOMElement::setAttributeNode
DOMElement::setAttributeNS
DOMElement
PHP Manual